NXP NFC Reader Library v4.040.05.011646

Data Fields
phpalSli15693_Sw_DataParams Struct Reference
Protocol Abstraction Layer » ISO/IEC 15693 / ISO/IEC 18000-3M1 » Component : Software

Software Sli15693 PAL parameter structure. More...

## Data Fields
uint16_t | wId
| ID for this component, not to be modified by user. More...
void * | pHalDataParams
| Pointer to the HAL data parameter. More...
uint16_t | wAdditionalInfo
| Holds the last error code sent by the VICC. More...
uint8_t | bFlags
| Flags. More...
uint8_t | pUid [8]
| VICC's UID. More...
uint8_t | bUidBitLength
| VICC's UID length. More...
uint8_t | bExplicitlyAddressed
| Indicator of API to be in explicit Addressed mode. More...

## Detailed Description

Software Sli15693 PAL parameter structure.

## Field Documentation

## § wId

uint16_t phpalSli15693_Sw_DataParams::wId

ID for this component, not to be modified by user.

This is initialized with PHPAL_SLI15693_SW_ID in the initialization function phpalSli15693_Sw_Init. This is used for validating the data parameter structure and to make sure that APIs are called after initialization.

## § pHalDataParams

void* phpalSli15693_Sw_DataParams::pHalDataParams

Pointer to the HAL data parameter.

This pointer is initialized with the address of HAL data parameter structure by phpalSli15693_Sw_Init.

## § wAdditionalInfo

uint16_t phpalSli15693_Sw_DataParams::wAdditionalInfo

Holds the last error code sent by the VICC.

When a response is received from the VICC with the error flag PHPAL_SLI15693_FLAG_RESP_ERROR set, the error code returned by VICC is stored here.

## § bFlags

uint8_t phpalSli15693_Sw_DataParams::bFlags

Flags.

This holds the value of request flag field used in the commands sent by the library.

## § pUid

uint8_t phpalSli15693_Sw_DataParams::pUid[8]

VICC's UID.

This holds the value of VICC's Unique Identifier received during the inventory process, which always is of 8 bytes long.

## § bUidBitLength

uint8_t phpalSli15693_Sw_DataParams::bUidBitLength

VICC's UID length.

This holds the value of VICC's UID length in bits. After successful inventory process, the complete UID length will be 64 bits.

## § bExplicitlyAddressed

uint8_t phpalSli15693_Sw_DataParams::bExplicitlyAddressed

Indicator of API to be in explicit Addressed mode.

This indicates that the api is explicitly asked to be used in addressed mode this parameter differentiate the understanding of explicitly addressed mode from the apis like select and reset to ready which are implicitly addressed

The documentation for this struct was generated from the following file:

- phpalSli15693.h